<?php

error_reporting(E_ALL & ~E_NOTICE);

//----ライブラリ読込み---------------

require('lib/conf_common.php');
require('lib/common2.php');
require('lib/func.php');
require('lib/chat.php');

//-----変数--------------------------

$script='main.php';
$pagemax=10;
$pd = 'HwTpQa9U';
$max_filesize='10000000';

$reload_time=array(0,10,20,30);

//-----------------------------------

$o_main=new Main;
$o_func=new Func;

$fo=$o_main->ParseInt();
$o_chat=new Chat($fo['act']);

switch($fo['mode']){
	case "form":
		$o_chat->Form($fo);
		break;
	case "enter":
		$o_chat->Enter($fo);
		break;
	case "frame":
		$o_chat->Frame($fo);
		break;
	case "top":
		$o_chat->Top($fo);
		break;
	case "main":
		$o_chat->Main($fo);
		break;
	case "regist":
		$o_chat->Regist($fo);
		break;
	case "clear":
		$o_chat->Clear($fo);
		break;
	case "taisituaite":
		$o_chat->TaisituAite($fo);
		break;
	case "dotaisitu":
		$o_chat->DoTaisitu($fo);
		break;
	case "taisitu":
		$o_chat->Taisitu($fo);
		break;
	case "lock":
		$o_chat->Lock($fo);
		break;
	case "unlock":
		$o_chat->UnLock($fo);
		break;
	case "close":
		$o_chat->Close($fo);
		break;
	case "chat":
		$o_chat->Main($fo);
		break;
	case "upload":
		$o_chat->Upload($fo);
		break;
	case "imgshow":
		$o_chat->ImgShow($fo);
		break;
	case "imgdel":
		$o_chat->ImgDel($fo);
		break;
	case "imgclear":
		$o_chat->ImgClear($fo);
		break;
	default:
		$o_chat->Room($fo);
		break;
}




Class Main{

function ParseInt(){

if($_SERVER['REQUEST_METHOD'] == 'POST'){
	$ary=&$_POST;
}
else{
	$ary=&$_GET;
}


$in=array();
$opvalue=array();
$opnamearray=array();
foreach($ary as $name => $value){
	$value=str_replace("&","&amp;",$value);
	$value=str_replace(",","&#44;",$value);
	$value=str_replace("\"","&quot;",$value);
	$value=str_replace("'","&#039;",$value);
	$value=str_replace("<","&lt;",$value);
	$value=str_replace(">","&gt;",$value);
	if($name == 'comment'){
		$value=str_replace("\x0D\x0A","<br>",$value);
		$value=str_replace("\x0D","<br>",$value);
		$value=str_replace("\x0A","<br>",$value);
	}
	else{
		$value=str_replace("\x0D\x0A","",$value);
		$value=str_replace("\x0D","",$value);
		$value=str_replace("\x0A","",$value);
	}
	$in[$name]=$value;
}

return $in;
}

function Error($e){
print <<<EOM
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>ERROR</title>
<style type="text/css">

</style>
</head>
<body>
<br>
EOM;

print "$e\n";

print <<<EOM

</body>
</html>
EOM;
exit;

}


}//Class End


?>
